Package ru.bgcrm.plugin.bgbilling.proto.struts.action

# Class InetAction

java.lang.Object
org.apache.struts.action.Action
org.apache.struts.actions.BaseAction
org.apache.struts.actions.DispatchAction
org.bgerp.action.base.BaseAction
ru.bgcrm.plugin.bgbilling.struts.action.BaseAction
ru.bgcrm.plugin.bgbilling.proto.struts.action.InetAction

public class InetAction extends BaseAction

- ## Field Summary

  ### Fields inherited from class org.bgerp.action.base.BaseAction

  `l, log, MAPPER, PATH_JSP_ADMIN, PATH_JSP_OPEN, PATH_JSP_USER, PATH_JSP_USERMOB, setup`

  ### Fields inherited from class org.apache.struts.actions.DispatchAction

  `clazz, methods, types`

  ### Fields inherited from class org.apache.struts.actions.BaseAction

  `messages`

  ### Fields inherited from class org.apache.struts.action.Action

  `servlet`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InetAction()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.struts.action.ActionForward`
  `connectionClose(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `connectionFinish(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `devicesGet(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `getFreeVlan(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `interfaceListGet(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `serviceDelete(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `serviceDeviceManage(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `serviceGet(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `serviceMenu(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `serviceStateModify(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `serviceTree(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `serviceUpdate(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `sessionAliveContractList(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `sessionLogContractList(DynActionForm form, ConnectionSet conSet)`

  ### Methods inherited from class org.bgerp.action.base.BaseAction

  `checkModified, dispatchMethod, getParameter, html, html, json, json, permissionCheck, restoreRequestParams, unspecified, unspecified, updatePersonalization`

  ### Methods inherited from class org.apache.struts.actions.DispatchAction

  `cancelled, execute, getMethod, getMethodName, unspecified`

  ### Methods inherited from class org.apache.struts.action.Action

  `addErrors, addMessages, execute, generateToken, getErrors, getLocale, getMessages, getResources, getResources, getServlet, isCancelled, isTokenValid, isTokenValid, resetToken, saveErrors, saveErrors, saveMessages, saveMessages, saveToken, setLocale, setServlet`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InetAction

    public InetAction()

- ## Method Details

  - ### serviceTree

    public org.apache.struts.action.ActionForward serviceTree(DynActionForm form, ConnectionSet conSet)

  - ### serviceGet

    public org.apache.struts.action.ActionForward serviceGet(DynActionForm form, ConnectionSet conSet)

  - ### serviceUpdate

    public org.apache.struts.action.ActionForward serviceUpdate(DynActionForm form, ConnectionSet conSet)

  - ### serviceDelete

    public org.apache.struts.action.ActionForward serviceDelete(DynActionForm form, ConnectionSet conSet)

  - ### sessionAliveContractList

    public org.apache.struts.action.ActionForward sessionAliveContractList(DynActionForm form, ConnectionSet conSet)

  - ### sessionLogContractList

    public org.apache.struts.action.ActionForward sessionLogContractList(DynActionForm form, ConnectionSet conSet)

  - ### connectionClose

    public org.apache.struts.action.ActionForward connectionClose(DynActionForm form, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`

  - ### connectionFinish

    public org.apache.struts.action.ActionForward connectionFinish(DynActionForm form, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`

  - ### serviceMenu

    public org.apache.struts.action.ActionForward serviceMenu(DynActionForm form, ConnectionSet conSet)

  - ### serviceDeviceManage

    public org.apache.struts.action.ActionForward serviceDeviceManage(DynActionForm form, ConnectionSet conSet)

  - ### serviceStateModify

    public org.apache.struts.action.ActionForward serviceStateModify(DynActionForm form, ConnectionSet conSet)

  - ### interfaceListGet

    public org.apache.struts.action.ActionForward interfaceListGet(DynActionForm form, ConnectionSet conSet)

  - ### getFreeVlan

    public org.apache.struts.action.ActionForward getFreeVlan(DynActionForm form, ConnectionSet conSet)

  - ### devicesGet

    public org.apache.struts.action.ActionForward devicesGet(DynActionForm form, ConnectionSet conSet)